Get Message Inbox
curl --request POST \
--url https://api.linkupapi.com/v1/messages/inbox \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"login_token": "<string>",
"country": "<string>",
"total_results": 123,
"category": "<string>",
"next_cursor": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/messages/inbox"
payload = {
"login_token": "<string>",
"country": "<string>",
"total_results": 123,
"category": "<string>",
"next_cursor": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
login_token: '<string>',
country: '<string>',
total_results: 123,
category: '<string>',
next_cursor: '<string>'
})
};
fetch('https://api.linkupapi.com/v1/messages/inbox', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"conversations": [
{
"conversation_id": "urn:li:msg_conversation:(urn:li:fsd_profile:ACoAADxnv0oB_dN-NfpvEBlsPU_W1omM-Xu24o,2-M2ZkODhkZjYtZDI1ZC00NzE4LWFiYjgtZDY4YmUxMGMwM2NkXzEwMA==)",
"participant": {
"name": "John Bell 🗓️⚡️",
"headline": "AI that instantly converts and manages pipeline meetings 24/7365. | Believer, Husband, Girl Dad x 3",
"profile_url": "https://www.linkedin.com/in/michaeltoddbell",
"profile_picture": "https://media.licdn.com/dms/image/v2/D4E0AEkAmN1PCA6OA/profile-displayphoto-shrink_800_800/B4EZRK07l_GYAg-/0/1736422177433?e=1754524800&v=beta&t=0sRsoyG2kUWaBUOMc99nPnx0CuYV4OFgTEjxLGk03AQ"
},
"last_message": {
"text": "Hey Mike, I'm the founder of LinkupAPI (https://linkupapi.com), an API that allows you to automate any action on LinkedIn. I saw you're working on Scheduler AI – have you thought about adding LinkedIn integration to enhance your offering?",
"time": 1748629426457,
"sender": {
"name": "Titouan Prioux",
"headline": "Founder of linkup API, the LinkedIn API that automates all your actions on LinkedIn. Easily integrate it into your SaaS/CRM or AI agents",
"profile_url": "https://www.linkedin.com/in/ACoAADxnv0oB_dN-NfpvEBlsVPU_W1omM-Xu24o",
"profile_picture": "https://media.licdn.com/dms/image/v2/D4E03AQtezmVn8txQ/profile-displayphoto-shrink_800_800/B4EZXoxaZGHgAc-/0/1743367023080?e=1754524800&v=beta&t=xYaqHyrAogNjcpL3bo8_UlrLzglpJ-pmQHjQSrPPNtM"
}
},
"unread": 0,
"type": "normal"
}
],
"total_results": 1,
"next_cursor": "REVTQ0VORElORyYxNzQ4NjI5NDI2NDU3JjItTTJaa09EaGtaall0WkRJMVpDMBOekU0TFdGaVlqZ3RaRFk0WW1VeE1HTXdNMk5rWHpFd01BPT0="
}
}
Messaging
Get Message Inbox
Retrieve LinkedIn messaging conversations
POST
/
v1
/
messages
/
inbox
Get Message Inbox
Get a list of messaging conversations from your LinkedIn inbox, including information about participants and latest messages.
Credit Usage: 1 credit per 10 results (or fraction thereof). For example:
- 1-10 results = 1 credit
- 11-20 results = 2 credits
- 300 results = 30 credits
Header Parameters
string
required
Your API key
Body Parameters
string
required
LinkedIn authentication cookie obtained from the login/verify process
string
default:"FR"
Country code for proxy selection. Available: (US, UK, FR, DE, NL, IT, IL, CA, BR, ES, IN)
integer
default:"10"
Number of conversations to retrieve in this batch
string
default:"INBOX"
Category to filter by. Available: (INBOX, INMAIL, JOB, UNREAD)
string
Cursor for pagination (optional - used to get the next batch of results)
Response
string
Request status (success/error)
object
Show Properties
Show Properties
array
Show Conversation Object
Show Conversation Object
string
Unique identifier for the conversation
object
object
integer
Number of unread messages in the conversation
string
Type of conversation (e.g., “normal”)
integer
Number of conversations returned in this response
string
Cursor for the next batch of results (null if no more results available)
{
"status": "success",
"data": {
"conversations": [
{
"conversation_id": "urn:li:msg_conversation:(urn:li:fsd_profile:ACoAADxnv0oB_dN-NfpvEBlsPU_W1omM-Xu24o,2-M2ZkODhkZjYtZDI1ZC00NzE4LWFiYjgtZDY4YmUxMGMwM2NkXzEwMA==)",
"participant": {
"name": "John Bell 🗓️⚡️",
"headline": "AI that instantly converts and manages pipeline meetings 24/7365. | Believer, Husband, Girl Dad x 3",
"profile_url": "https://www.linkedin.com/in/michaeltoddbell",
"profile_picture": "https://media.licdn.com/dms/image/v2/D4E0AEkAmN1PCA6OA/profile-displayphoto-shrink_800_800/B4EZRK07l_GYAg-/0/1736422177433?e=1754524800&v=beta&t=0sRsoyG2kUWaBUOMc99nPnx0CuYV4OFgTEjxLGk03AQ"
},
"last_message": {
"text": "Hey Mike, I'm the founder of LinkupAPI (https://linkupapi.com), an API that allows you to automate any action on LinkedIn. I saw you're working on Scheduler AI – have you thought about adding LinkedIn integration to enhance your offering?",
"time": 1748629426457,
"sender": {
"name": "Titouan Prioux",
"headline": "Founder of linkup API, the LinkedIn API that automates all your actions on LinkedIn. Easily integrate it into your SaaS/CRM or AI agents",
"profile_url": "https://www.linkedin.com/in/ACoAADxnv0oB_dN-NfpvEBlsVPU_W1omM-Xu24o",
"profile_picture": "https://media.licdn.com/dms/image/v2/D4E03AQtezmVn8txQ/profile-displayphoto-shrink_800_800/B4EZXoxaZGHgAc-/0/1743367023080?e=1754524800&v=beta&t=xYaqHyrAogNjcpL3bo8_UlrLzglpJ-pmQHjQSrPPNtM"
}
},
"unread": 0,
"type": "normal"
}
],
"total_results": 1,
"next_cursor": "REVTQ0VORElORyYxNzQ4NjI5NDI2NDU3JjItTTJaa09EaGtaall0WkRJMVpDMBOekU0TFdGaVlqZ3RaRFk0WW1VeE1HTXdNMk5rWHpFd01BPT0="
}
}
Was this page helpful?